# BRC-20 Activity

Returns historical BRC-20 activity (mints, transfers, deployments) for a given address and ticker.

## GET /v1/brc20/address/{address}/ticker/{ticker}/activity

> Get the transfer history for a and address and a specific BRC20 ticker.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/brc20/address/{address}/ticker/{ticker}/activity":{"get":{"tags":["Ordinals"],"description":"Get the transfer history for a and address and a specific BRC20 ticker.","parameters":[{"schema":{"minimum":0,"multipleOf":25,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"minimum":25,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"minLength":10,"format":"BitcoinAddress","type":"string"},"in":"path","name":"address","required":true},{"schema":{"minLength":1,"type":"string"},"in":"path","name":"ticker","required":true,"description":"Ticker of the BRC20 token (e.g. ordi, sats, etc.)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"limit":{"type":"number"},"offset":{"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"fromAddress":{"type":"string"},"toAddress":{"type":"string"},"txid":{"type":"string"},"amount":{"type":"string"},"blockHeight":{"type":"number"},"blockTime":{"type":"string"},"inscriptionId":{"type":"string"},"inscriptionNumber":{"type":"number"},"satpoint":{"type":"string"}},"required":["fromAddress","toAddress","txid","amount","blockHeight","blockTime","inscriptionId","inscriptionNumber","satpoint"]}}},"required":["limit","offset","items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
